net.minecraft.client.renderer.entity

## Class RenderMinecart

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderMinecart

- Direct Known Subclasses:
    RenderMinecartMobSpawner, RenderTntMinecart

      public class RenderMinecart
      extends Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RenderBlocks` | `field_94145_f`
    `protected ModelBase` | `modelMinecart`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderMinecart()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityMinecart par1EntityMinecart, double par2, double par4, double par6, float par8, float par9)`
    `protected void` | `func_147910_a(EntityMinecart p_147910_1_, float p_147910_2_, Block p_147910_3_, int p_147910_4_)`
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntityMinecart par1EntityMinecart)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelMinecart

          protected ModelBase modelMinecart

    - #### field_94145_f

          protected final RenderBlocks field_94145_f

  - ### Constructor Detail

    - #### RenderMinecart

          public RenderMinecart()

  - ### Method Detail

    - #### doRender

          public void doRender(EntityMinecart par1EntityMinecart,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntityMinecart par1EntityMinecart)

    - #### func_147910_a

          protected void func_147910_a(EntityMinecart p_147910_1_,
                           float p_147910_2_,
                           Block p_147910_3_,
                           int p_147910_4_)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Specified by:
        `doRender` in class `Render`